/*******************  start of original comments  ********************/
/*
 * Written by Douglas Thomson (1989/1990)
 *
 * This source code is released into the public domain.
 */
/*********************  end of original comments   ********************/


/*
 * New editor name:  tde, the Thomson-Davis Editor.
 * Author:           Frank Davis
 * Date:             June 5, 1991
 *
 * This modification of Douglas Thomson's code is released into the
 * public domain, Frank Davis.  You may distribute freely.
 *
 * This file contains all the external structure declarations common
 *  to all the editor modules.
 */

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <conio.h>
#ifdef __TURBOC__
   #include <stdlib.h>
#elif __MSC__
   #include <stdlib.h>
   #if defined( toupper )
       #undef toupper
   #endif
#endif

/*
 * Since there is only one display, and almost all the functions either
 *  refer to it or need to pass it to lower level functions, it is a
 *  global variable.
 * However, by making it a structure rather than leaving all the fields
 *  as separate global variables, it is much less likely that there will
 *  be any confusion.
 */
extern displays g_display;

/*
 * Again, the fields here are global to the entire program, so a global
 *  variable is used.
 * Note that some of these fields could be statically initialized,
 *  but I have chosen to initialize them at run time, since that way I
 *  can refer to each field by name. This also lends itself to eventually
 *  using a configuration file.
 */
extern status_infos g_status;

extern boyer_moore_type bm;
