/*
 * New editor name:  tde, the Thomson-Davis Editor.
 * Author:           Frank Davis
 * Date:             June 5, 1991
 *
 * This modification of Douglas Thomson's code is released into the
 * public domain, Frank Davis.  You may distribute it freely.
 *
 *  Set up default dispatch table
 */

DISPATCH_TABLE key_func[MAX_KEYS] = {
   /* 256 */
    0,  0,  0,  0,
   /* 260 */
    0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
   /* 270 */
    0,  0,  0,
    BlockToFile,               /* Alt-W  273 */
    BlockExpandTabs,           /* Alt-E  274 */
    0,
    SetTabs,                   /* Alt-T  276 */
    0,
    UnMarkBlock,               /* Alt-U  278 */
    Indent,                    /* Alt-I  279 */
   /* 280 */
    OverlayBlock,              /* Alt-O  280 */
    PrintBlock,                /* Alt-P  281 */
    0,  0,  0,
    0,
    AddLine,                   /* Alt-A  286 */
    SplitLine,                 /* Alt-S  287 */
    DeleteLine,                /* Alt-D  288 */
    FillBlock,                 /* Alt-F  289 */
   /* 290 */
    DeleteBlock,               /* Alt-G  290 */
    0,
    JoinLine,                  /* Alt-J  292 */
    KopyBlock,                 /* Alt-K  293 */
    MarkLine,                  /* Alt-L  294 */
    0,  0,  0,  0,  0,
   /* 300 */
    JumpToLine,                /* Alt-Z  300 */
    0,
    CopyBlock,                 /* Alt-C  302 */
    0,
    MarkBlock,                 /* Alt-B  304 */
    0,
    MoveBlock,                 /* Alt-M  306 */
    0,  0,  0,
   /* 310 */
    0,  0,  0,  0,  0,
    Help,                      /* F1    315 */
    Save,                      /* F2    316 */
    Quit,                      /* F3    317 */
    File,                      /* F4    318 */
    RepeatFindForward,         /* F5    319 */
   /* 320 */
    RepeatFindBackward,       /* F6    320 */
    0,  0,
    SplitScreen,               /* F9    323 */
    NextWindow,                /* F10   324 */
    0,  0,
    BegOfLine,                 /* Home  327 */
    LineUp,                    /* Up    328 */
    ScreenUp,                  /* PgUp  329 */
   /* 330 */
    0,
    CharLeft,                  /* Left  331 */
    0,
    CharRight,                 /* Right 333 */
    0,
    EndOfLine,                 /* End   335 */
    LineDown,                  /* Down  336 */
    ScreenDown,                /* PgDn  337 */
    OverWrite,                 /* Ins   338 */
    DeleteChar,                /* Del   339 */
   /* 340 */
    0,
    SaveAs,                    /* Shift F2  */
    0,
    EditFile,                  /* Shift F4  */
    FindForward,               /* Shift F5  */
    FindBackward,              /* Shift F6  */
    ReplaceForward,            /* Shift F7  */
    ReplaceBackward,           /* Shift F8  */
    SizeWindow,                /* Shift F9  */
    PreviousWindow,            /* Shift F10 */
   /* 350 */
    0,  0,  0,  0,
    ToggleSearchCase,          /* Control F5 */
    0,  0,  0,  0,
    Column_1,                  /* Control F10 */
   /* 360 */
    0,  0,  0,  0,  0,
    0,  0,  0,  0,  0,
   /* 370 */
    0,
    WordLeft,                  /* Control Left  371 */
    WordRight,                 /* Control Right 372 */
    BotOfScreen,               /* Control End   373 */
    EndOfFile,                 /* Control PgUp  374 */
    TopOfScreen,               /* Control Home  375 */
    0,  0,  0,  0,
   /* 380 */
    0,  0,  0,  0,  0,
    0,
    DelEndOfLine,              /* Alt '-'  386      */
    DuplicateLine,             /* Alt '='  387      */
    TopOfFile,                 /* Control Pgup  388 */
    0,
   /* 390 */
    0,  0,  0,  0,  0,   0,  0,  0,  0,  0,
   /* add 400 to keycodes 0-31 if ALT key is not pressed. */
   /* 400 */
   0,
   WordLeft,            /* Control a */
   BackSpace,           /* Control b */
   ScreenDown,          /* Control c */
   CharRight,           /* Control d */
   LineUp,              /* Control e */
   WordRight,           /* Control f */
   DeleteChar,          /* Control g */
   BackSpace,           /* Control h */
   Tab,                 /* Control i */
   Help,                /* Control j */
   TwoCharKey,          /* Control k */
   0,                   /* Control l */
   Rturn,               /* Control m */
   AddLine,             /* Control n */
   TwoCharKey,          /* Control o */
   0,                   /* Control p */
   TwoCharKey,          /* Control q */
   ScreenUp,            /* Control r */
   CharLeft,            /* Control s */
   0,                   /* Control t */
   AbortCommand,        /* Control u or ESC */
   OverWrite,           /* Control v */
   ScrollUpLine,        /* Control w */
   LineDown,            /* Control x */
   DeleteLine,          /* Control y */
   ScrollDnLine,        /* Control z */
   AbortCommand,        /* ESC   27 */
   RedrawScreen,        /* Control \ */
   ParenBalance,        /* Control } */
   0, 0
};
