/*
 * New editor name:  tde, the Thomson-Davis Editor.
 * Author:           Frank Davis
 * Date:             June 5, 1991
 *
 * This modification of Douglas Thomson's code is released into the
 * public domain, Frank Davis.  You may distribute it freely.
 *
 * This file defines all functions in editor.
 */

#define     LineDown            1
#define     LineUp              2
#define     CharRight           3
#define     CharLeft            4
#define     WordRight           5
#define     WordLeft            6
#define     ScreenDown          7
#define     ScreenUp            8
#define     EndOfFile           9
#define     TopOfFile           10
#define     BotOfScreen         11
#define     TopOfScreen         12
#define     EndOfLine           13
#define     BegOfLine           14
#define     JumpToLine          15
#define     ParenBalance        28
#define     ScrollDnLine        31
#define     ScrollUpLine        32
#define     ToggleSearchCase    35
#define     FindForward         36
#define     FindBackward        37
#define     RepeatFindForward   38
#define     RepeatFindBackward  39
#define     ReplaceForward      40
#define     ReplaceBackward     41
#define     CursorLeft          43
#define     CursorRight         44
#define     StartOfString       45
#define     EndOfString         46
#define     DeleteString        47
#define     RestoreString       48
#define     BackSpace           49
#define     MarkBlock           50
#define     MarkLine            51
#define     UnMarkBlock         52
#define     FillBlock           53
#define     CopyBlock           54
#define     KopyBlock           55
#define     MoveBlock           56
#define     OverlayBlock        57
#define     DeleteBlock         58
#define     BlockToFile         59
#define     PrintBlock          60
#define     BlockExpandTabs     61
#define     File                62
#define     EditFile            63
#define     Save                64
#define     SaveAs              65
#define     Quit                66
#define     AddLine             67
#define     DeleteChar          68
#define     DeleteLine          69
#define     JoinLine            70
#define     DelEndOfLine        71
#define     OverWrite           72
#define     Indent              73
#define     AbortCommand        75
#define     Help                76
#define     SplitLine           77
#define     DuplicateLine       78
#define     UndoLine            79
#define     RedrawScreen        83
#define     SetTabs             84
#define     Tab                 85
#define     Rturn               86
#define     SizeWindow          87
#define     SplitScreen         88
#define     NextWindow          89
#define     PreviousWindow      90
#define     Column_1            91
#define     TwoCharKey          100

#define     CNTRL_A             401
#define     CNTRL_B             402
#define     CNTRL_C             403
#define     CNTRL_D             404
#define     CNTRL_E             405
#define     CNTRL_F             406
#define     CNTRL_G             407
#define     CNTRL_H             408
#define     CNTRL_I             409
#define     CNTRL_J             410
#define     CNTRL_K             411
#define     CNTRL_L             412
#define     CNTRL_M             413
#define     CNTRL_N             414
#define     CNTRL_O             415
#define     CNTRL_P             416
#define     CNTRL_Q             417
#define     CNTRL_R             418
#define     CNTRL_S             419
#define     CNTRL_T             420
#define     CNTRL_U             421
#define     CNTRL_V             422
#define     CNTRL_W             423
#define     CNTRL_X             424
#define     CNTRL_Y             425
#define     CNTRL_Z             426
